<template>
  <form
    class="form box"
    @submit.prevent
  >
    <h2 class="title is-2 has-text-centered">
      ¿Convencido? Dejanos tus datos y te contactaremos
    </h2>
    <div class="field">
      <label class="label">
        Nombre Completo
      </label>
      <div class="control">
        <input
          class="input"
          type="text"
          placeholder="Text input"
        >
      </div>
    </div>

    <div class="field">
      <label class="label">
        Teléfono
      </label>
      <div class="control has-icons-left has-icons-right">
        <input
          class="input is-success"
          type="phone"
          placeholder="Text input"
          value="5551047886"
        >
        <span class="icon is-small is-left">
          <i class="material-icons">person</i>
        </span>
        <span class="icon is-small is-right">
          <i class="material-icons">phone</i>
        </span>
      </div>
      <p class="help is-success">
        This phone is available
      </p>
    </div>

    <div class="field">
      <label class="label">
        Email
      </label>
      <div class="control has-icons-left has-icons-right">
        <input
          class="input is-danger"
          type="email"
          placeholder="Email input"
          value="hello@"
        >
        <span class="icon is-small is-left">
          <i class="material-icons">email</i>
        </span>
        <span class="icon is-small is-right">
          <i class="material-icons">warning</i>
        </span>
      </div>
      <p class="help is-danger">Email invalido</p>
    </div>

    <div class="field">
      <div class="control">
        <button class="button is-primary">
          Enviar
        </button>
      </div>
    </div>
  </form>
</template>

<script>
export default {
  name: 'TheContact'
}
</script>

<style scoped>
  .form.box {
    margin: 1rem;
  }

  .button.is-primary {
    border-color: #cb97a0;
    background-color: #cb97a0;
  }

  @media screen and (min-width: 769px) {
    .form.box {
      max-width: 400px;
    }
  }
</style>
